package com.zipcoder.payment;

import java.util.Arrays;
import java.util.Comparator;

public class PaymentPresenter {

    Comparator<Payment> paymentSortByID = (Payment p1, Payment p2)  -> {
            Long p1ID = p1.getId();
            Long p2ID = p2.getId();
            return p1ID.compareTo(p2ID);
    };


    public String toString(Payment[] p){
        Arrays.sort(p);
        return generateOutputString(p);
    }

    public String toStringByPayerName(Payment[] p) {
        PaymentSortByPayer psbp = new PaymentSortByPayer();
        Arrays.sort(p, psbp);
        return generateOutputString(p);
    }

    public String toStringByID(Payment[] p){
        Arrays.sort(p, paymentSortByID);
        return generateOutputString(p);
    }

    private String generateOutputString(Payment[] p) {
        StringBuilder paymentSB = new StringBuilder();
        for (Payment payment : p){
            paymentSB.append(payment.getShortDescription() + "\n");
        }
        return paymentSB.toString();
    }
}
