package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class CheckTest {
    Check ch;
    Check c2;

    @Before
    public void setup() {
        ch = new Check(12345, "Sansa Stark", "1234567", "987654321");
        c2 = new Check(9034, "Arya Stark", "1234569", "987654444");

    }

    @Test
    public void getIdTest() {
        long expected = 12345;
        long actual = ch.getId();
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void getPayerNameTest() {
        String expected = "Sansa Stark";
        String actual = ch.getPayerName();
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void getRoutingNumberTest() {
        String expected = "1234567";
        String actual = ch.getRoutingNumber();
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void getAccountNumberTest() {
        String expected = "987654321";
        String actual = ch.getAccountNumber();
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void getShortDescriptionTest() {
        String expected = "Check Sansa Stark ***4321";
        String actual = ch.getShortDescription();
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void compareToTest() {
        int actual = ch.compareTo(c2);
        Assert.assertTrue(actual > 0);
    }
    @Test
    public void compareToTest2() {
        int actual = c2.compareTo(ch);
        Assert.assertTrue(actual < 0);
    }
    @Test
    public void compareToTest3() {
        int actual = c2.compareTo(c2);
        Assert.assertTrue(actual == 0);
    }
}
