package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class CreditCardTest {
    CreditCard cc;
    PayPal pp;
    @Before
    public void setup() {
        cc = new CreditCard(12345, "Sansa Stark", "4444444444", 12, 2020);
        pp = new PayPal(12345, "Sansa Stark", "ladystark@winterfell.com");
    }

    @Test
    public void creditCardGetIDTest() {
        long expected = 12345;
        long actual = cc.getId();

        Assert.assertEquals(expected, actual);
    }
    @Test
    public void creditCardGetPayerNameTest() {
        String expected = "Sansa Stark";
        String actual = cc.getPayerName();

        Assert.assertEquals(expected, actual);
    }
    @Test
    public void creditCardGetShortDescription() {
        String expected = "CC Sansa Stark 4444 12/2020";
        String actual = cc.getShortDescription();

        Assert.assertEquals(expected, actual);
    }
    @Test
    public void creditCardGetExpiredMonthTest() {
        int expected = 12;
        int actual = cc.getExpiredMonth();

        Assert.assertEquals(expected, actual);
    }
    @Test
    public void creditCardGetExpiredYearTest() {
        int expected = 2020;
        int actual = cc.getExpiredYear();

        Assert.assertEquals(expected, actual);
    }
    @Test
    public void creditCardGetNumberTest() {
        String expected = "4444444444";
        String actual = cc.getNumber();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void compareToTest() {
        int actual = pp.compareTo(cc);
        Assert.assertTrue(actual > 0);
    }
    @Test
    public void compareToTest2() {
        int actual = cc.compareTo(pp);
        Assert.assertTrue(actual < 0);
    }
    @Test
    public void compareToTest3() {
        int actual = cc.compareTo(cc);
        Assert.assertTrue(actual == 0);
    }
}
