package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class PayPalTest {
    PayPal pp;
    Check ch;
    @Before
    public void setup() {
        pp = new PayPal(12345, "Sansa Stark", "ladystark@winterfell.com");
        ch = new Check(12345, "Sansa Stark", "1234567", "987654321");

    }

    @Test
    public void getIdTest() {
        long expected = 12345;
        long actual = pp.getId();
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void getPayerNameTest() {
        String expected = "Sansa Stark";
        String actual = pp.getPayerName();
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void getEmailTest() {
        String expected = "ladystark@winterfell.com";
        String actual = pp.getPayerEmail();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void getShortDescriptionTest() {
        String expected = "Paypal Sansa Stark ladystark@winterfell.com";
        String actual = pp.getShortDescription();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void compareToTest() {
        int actual = pp.compareTo(ch);
        Assert.assertTrue(actual > 0);
    }
    @Test
    public void compareToTest2() {
        int actual = ch.compareTo(pp);
        Assert.assertTrue(actual < 0);
    }
    @Test
    public void compareToTest3() {
        int actual = pp.compareTo(pp);
        Assert.assertTrue(actual == 0);
    }
}
