package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class PaymentPresenterTest {

    @Test
    public void toStringTest() {
        Payment[] payments = new Payment[0];
        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "";
        String actual = presenter.toString(payments);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void toStringTest2() {
        Payment[] payments = new Payment[2];
        payments[0] = new PayPal(4L, "Tia Mowry", "tia@mowry.com");
        payments[1] = new Check(81L, "Tia Mowry", "11432543", "134344551");

        PaymentPresenter pp = new PaymentPresenter();
        String expected = "Check Tia Mowry ***4551\nPaypal Tia Mowry tia@mowry.com\n";

        String actual = pp.toString(payments);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void toStringByPayerName() {
        Payment[] payments = new Payment[2];
        payments[1] = new PayPal(4L, "Tamara Mowry", "tamara@mowry.com");
        payments [0] = new Check(81L, "Tia Mowry", "11432543", "134344551");

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "Paypal Tamara Mowry tamara@mowry.com\nCheck Tia Mowry ***4551\n";

        String actual = presenter.toStringByPayerName(payments);
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void toStringByID() {
        Payment[] payments = new Payment[2];
        payments[1] = new PayPal(4L, "Tamara Mowry", "tamara@mowry.com");
        payments[0] = new Check(81L, "Tia Mowry", "11432543", "134344551");

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "Paypal Tamara Mowry tamara@mowry.com\nCheck Tia Mowry ***4551\n";

        String actual = presenter.toStringByID(payments);
        Assert.assertEquals(expected, actual);
    }

}
